com.r3corda.node.services.monitor / RegisterRequest

# RegisterRequest

`data class RegisterRequest : DirectRequestMessage`

### Constructors

<init> | `RegisterRequest(replyToRecipient: SingleMessageRecipient, sessionID: Long)`

### Properties

replyToRecipient | `val replyToRecipient: SingleMessageRecipient`
sessionID | `val sessionID: Long`

### Inherited Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`